package com.qmth.teachcloud.common.bean.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.annotation.ExcelProperty;
import com.qmth.teachcloud.common.bean.result.ClazzDatasourceResult;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * 课程导出Dto
 */
public class BasicCourseExportDto {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "课程id")
    private Long id;

    @ExcelProperty(name = "课程名称", width = 20, index = 1)
    private String courseName;

    @ExcelProperty(name = "课程编码", width = 20, index = 2)
    private String courseCode;

    @ExcelProperty(name = "开课部门", width = 20, index = 3)
    private String teachingRoomName;

    @ApiModelProperty(value = "班级信息集合")
    private List<ClazzDatasourceResult> clazzList;

    @ExcelProperty(name = "授课班级", width = 20, index = 4)
    private String clazzName;

    private Boolean enable;

    @ExcelProperty(name = "状态", width = 15, index = 5)
    private String enableName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getTeachingRoomName() {
        return teachingRoomName;
    }

    public void setTeachingRoomName(String teachingRoomName) {
        this.teachingRoomName = teachingRoomName;
    }

    public List<ClazzDatasourceResult> getClazzList() {
        return clazzList;
    }

    public void setClazzList(List<ClazzDatasourceResult> clazzList) {
        this.clazzList = clazzList;
    }

    public String getClazzName() {
        return clazzName;
    }

    public void setClazzName(String clazzName) {
        this.clazzName = clazzName;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public String getEnableName() {
        return enableName;
    }

    public void setEnableName(String enableName) {
        this.enableName = enableName;
    }
}
